/*
 * Produced by:
 *	Peter Vale
 *	Side Effects Software Inc
 *	477 Richmond Street West
 *	Toronto, Ontario
 *	Canada   M5V 3E7
 *	416-504-9876
 *
 * NAME:	CPD_Clip.h (Clip Public Domain Library, C++)
 *
 * COMMENTS:
 *		A collection of raw data tracks
 */

#ifndef __CPD_Clip__
#define __CPD_Clip__


#include "CPD_Track.h"

class CPD_Clip {

public:

     CPD_Clip();
    ~CPD_Clip();

    void		 reset();

    // I/O methods
    // Note: 0 is success, -ve is fail
    int			 save(ostream &os) const;
    int			 load(istream &is);

    float		 sample_rate;
    float		 start;

    int			 track_length;
    CPD_Track	 	*tracks;
    int			 number_tracks;

    // quaternions: xyz, xzy, yxz, yzx, zxy, or zyx
    char		 quaternion_order[4];
    int			 number_quaternions;
    int			*xquaternion;
    int			*yquaternion;
    int			*zquaternion;

};

#endif

