/*
 * PROPRIETARY INFORMATION.  This software is proprietary to
 * Side Effects Software Inc., and is not to be reproduced,
 * transmitted, or disclosed in any way without written permission.
 *
 * Produced by:
 *	Peter Vale
 *	Side Effects
 *	477 Richmond Street West
 *	Toronto, Ontario
 *	Canada   M5V 3E7
 *	416-504-9876
 *
 * NAME:	clip public domain test (C++)
 *
 * COMMENTS:
 *
 */

// A good program to test the library would simply be:

#include <iostream.h>
#include <iomanip.h>
#include <fstream.h>
#include <stdlib.h>

#include "../CPD_Clip.h"

int
main(int argc, char *argv[])
{
     CPD_Clip	 clip;

     if (argc != 3)
     {
	cerr << "Usage: " << argv[0] << " <infile> <outfile>" << endl;
	exit(1);
     }

     cerr << "Loading..." << endl;

     ifstream is(argv[1], ios::in | UT_NoCreate);
     if (!is) 
     {
	 cerr << "Unable to load " << argv[1] << endl;
	 exit(1);
     }
     clip.load(is);
     is.close();

     cerr << "Saving..." << endl;

     ofstream ofs(argv[2], ios::out OFSTREAM_PERMISSIONS);
     if (!ofs)
     {
	 cerr << "Unable to save " << argv[2] << endl;
	 exit(1);
     }
     clip.save(ofs);
     ofs.flush();
     ofs.close();
     
     return 0;
}

