# Default script run when a bone object is converted into Houdini 6.0 from
# an older hip file
# $arg1 is the bone name

\set noalias = 1
opcf $arg1

opadd -n tube ikseg1
opadd -n tube ikseg2
opadd -n tube ikseg3
opadd -n tube ikseg4
opadd -n merge ikseg_merge
opadd -n switch link_type

chadd -t $TSTART $TEND link_type input
chkey -t $TSTART -F 'strcmp(chs("../solver"),"")!=0' link_type/input

opparm ikseg1 type ( mesh ) orient ( z ) t ( 0 0 -0.05 ) rad ( 0 0.05 ) height ( 0.1 ) cols ( 4 )
opparm ikseg2 type ( mesh ) orient ( z ) t ( 0 0 -0.15 ) rad ( 0.05 0.03 ) height ( 0.1 ) cols ( 4 )
opparm ikseg3 type ( mesh ) orient ( z ) t ( 0 0 -0.25 ) rad ( 0.03 0.038 ) height ( 0.1 ) cols ( 4 )
opparm ikseg4 type ( mesh ) orient ( z ) t ( 0 0 -0.65 ) rad ( 0.038 0 ) height ( 0.7 ) cols ( 4 )

opwire link_merge -0 link_type

opwire ikseg1 -0 ikseg_merge
opwire ikseg2 -1 ikseg_merge
opwire ikseg3 -2 ikseg_merge
opwire ikseg4 -3 ikseg_merge
opwire ikseg_merge -1 link_type
opwire link_type -0 link

oplocate -x 0.0 -y 7 linkseg1
oplocate -x 1.5 -y 7 linkseg2

oplocate -x 3.5 -y 7 ikseg1
oplocate -x 5.0 -y 7 ikseg2
oplocate -x 6.5 -y 7 ikseg3
oplocate -x 8.0 -y 7 ikseg4
oplocate -x 5.75 -y 6 ikseg_merge

oplocate -x 1.5 -y 6 link_merge
oplocate -x 1.5 -y 5 link_type

oplocate -x 1.5 -y 4 link
oplocate -x 1.5 -y 3 link_scale
oplocate -x 2.0 -y 2 show_link
oplocate -x 3.0 -y 3 point1
oplocate -x 6.0 -y 3 cregion
oplocate -x 4.0 -y 2 show_capture
oplocate -x 3.0 -y 1 link_and_capture

opcf ..

