# Default script run when a handle object is created
# $arg1 is the name of the object to create

\set noalias = 1
if ( "$arg1" != "" ) then
    set bonelen =  `ch(strcat(opinput($arg1,0), "/length"))`
    opparm $arg1 dcolor( 0.7 0.4 0.2 )
    opparm $arg1 t( 0 `0.2*$bonelen` `-0.9*$bonelen`)

    opcf $arg1

    # Node x
    opadd -n circle x
    oplocate -x 4.70 -y 5.20 x
    chadd x beginangle endangle 
    chkey -t 0 -F 'ch("../lrxmin")' x/beginangle
    chkey -t 0 -F 'ch("../lrxmax")' x/endangle
    opparm x type ( nurbs ) orient ( yz ) arc ( openarc ) angle ( beginangle endangle ) imperfect ( on )

    # Node y
    opadd -n circle y
    oplocate -x 6.15 -y 5.20 y
    chadd y beginangle endangle
    chkey -t 0 -F '-ch("../lrymax")' y/beginangle
    chkey -t 0 -F '-ch("../lrymin")' y/endangle
    opparm y type ( nurbs ) orient ( zx ) arc ( openarc ) angle ( beginangle endangle ) imperfect ( on )

    # Node z
    opadd -n circle z
    oplocate -x 7.60 -y 5.20 z
    chadd z beginangle endangle
    chkey -t 0 -F 'ch("../lrzmax")' z/beginangle
    chkey -t 0 -F 'ch("../lrzmin")' z/endangle
    opparm z type ( nurbs ) orient ( xy ) arc ( openarc ) angle ( beginangle endangle ) imperfect ( on )

    # Node xform6
    opadd -n xform xform6
    oplocate -x 6.10 -y 4.45 xform6
    opparm xform6 xOrd ( srt ) rOrd ( xyz ) r ( 0 90 0 )
    opwire y -0 xform6

    # Node xform1
    opadd -n xform xform1
    oplocate -x 7.55 -y 4.45 xform1
    opparm xform1 xOrd ( srt ) rOrd ( xyz ) r ( 0 0 90 )
    opwire z -0 xform1

    # Node box1
    opadd -n box box1
    oplocate -x 0.40 -y 4.10 box1
    opparm box1 size ( 0.01 0.01 0.01 ) 

    # Node add1
    opadd -n add add1
    oplocate -x 5.45 -y 7.35 add1
    opset -r on add1

    # Node add2
    opadd -n add add2
    oplocate -x 1.80 -y 4.15 add2
    chadd add2 pt1x pt1y
    chkey -t 0 -F '-ch("../tx")' add2/pt1x
    chkey -t 0 -F '-ch("../ty")' add2/pt1y
    opparm add2 points 2 usept0 ( on ) pt0 ( 0 0 0 ) usept1 ( on ) pt1 ( pt1x pt1y 0 ) prim0 ( '0 1' ) 

    # Node switch1
    opadd -n switch switch1
    oplocate -x 4.25 -y 3.65 switch1
    chadd switch1 input
    chkey -t 0 -F 'ch("../dorxlimit")' switch1/input
    opparm switch1 input ( input )
    opwire add1 -0 switch1
    opwire x -1 switch1

    # Node switch2
    opadd -n switch switch2
    oplocate -x 5.80 -y 3.65 switch2
    chadd switch2 input
    chkey -t 0 -F 'ch("../dorylimit")' switch2/input
    opparm switch2 input ( input )
    opwire add1 -0 switch2
    opwire xform6 -1 switch2

    # Node switch3
    opadd -n switch switch3
    oplocate -x 7.55 -y 3.65 switch3
    chadd switch3 input
    chkey -t 0 -F 'ch("../dorzlimit")' switch3/input
    opparm switch3 input ( input )
    opwire add1 -0 switch3
    opwire xform1 -1 switch3


    # Node merge2
    opadd -n merge merge2
    oplocate -x 6.00 -y 2.70 merge2
    opparm merge2
    opwire switch1 -0 merge2
    opwire switch2 -1 merge2
    opwire switch3 -2 merge2

    # Node xform2
    opadd -n xform xform2
    oplocate -x 6.00538 -y 1.91398 xform2
    chadd xform2 px py pz rx ry rz tx ty tz scale


    chkey -t 0 -F '-ch("../tz")' xform2/pz
    chkey -t 0 -F '-ch("../ty")' xform2/py
    chkey -t 0 -F '-ch("../tx")' xform2/px
    chkey -t 0 -F '-ch("../tz")' xform2/tz
    chkey -t 0 -F '-ch("../ty")' xform2/ty
    chkey -t 0 -F '-ch("../tx")' xform2/tx
    chkey -t 0 "../../", strcat(opinput("..",0),"/rz")))' xform2/rz
    chkey -t 0 -F '-ch(strcat("../../", strcat(opinput("..",0),"/ry")))' xform2/ry
    chkey -t 0 -F '-ch(strcat("../../", strcat(opinput("..",0),"/rx")))' xform2/rx
    chkey -t 0 -F '-ch(strcat("../../", strcat(opinput("..",0),"/rz")))' xform2/rz
    chkey -t 0 -F 'ch(strcat("../../", strcat(opinput("..",0), "/length")))' xform2/scale
    opparm xform2 xOrd ( trs ) rOrd ( xyz ) t ( tx ty tz ) r ( rx ry rz ) p ( px py pz ) scale (scale)
    opwire merge2 -0 xform2

    # Node merge1
    opadd -n merge merge1
    oplocate -x 1.75 -y 0.25 merge1
    opset -d on merge1
    opwire box1 -0 merge1
    opwire add2 -1 merge1
    opwire xform2 -2 merge1

    opcf ..
endif
