#!/bin/csh -f

echo This script makes custom object DSOs and installs the dso and
echo related files in the proper directories.
echo
echo "-- First, make the DSO files and install them in"
echo "$HOME/houdini6.5/dso"
echo
hcustom OBJ_Lamp.C OBJ_Shake.C


set ICON_DIR = "$HOME/houdini6.5/config/Icons"
echo
echo
echo
echo -- Installing the icon files in
echo $ICON_DIR
echo
if (! -d $ICON_DIR ) mkdir -p $ICON_DIR
tar cf - *.icon | ( cd $ICON_DIR ; tar xvf - )


set SCRIPT_DIR = "$HOME/houdini6.5/scripts/obj"
echo
echo
echo
echo -- Installing the object initialization scripts in
echo $SCRIPT_DIR
echo
if (! -d $SCRIPT_DIR ) mkdir -p $SCRIPT_DIR
tar cf - *.cmd | ( cd $SCRIPT_DIR ; tar xvf - )


set GEO_DIR = "$HOME/houdini6.5/geo"
echo
echo
echo
echo -- Installing the object geometry files in 
echo $GEO_DIR
echo
if (! -d $GEO_DIR ) mkdir -p $GEO_DIR
tar cf - *.bgeo | ( cd $GEO_DIR ; tar xvf - )

