/*
 * PROPRIETARY INFORMATION.  This software is proprietary to
 * Side Effects Software Inc., and is not to be reproduced,
 * transmitted, or disclosed in any way without written permission.
 *
 * Produced by:
 *	Side Effects Software Inc
 *	477 Richmond Street West
 *	Toronto, Ontario
 *	Canada   M5V 3E7
 *	416-504-9876
 *
 * NAME:	MSS_BrushHairLen.h ( SOP Toolkit Library, C++)
 *
 * COMMENTS:
 */

#ifndef __MSS_BrushHairLen__
#define __MSS_BrushHairLen__

class MSS_BrushHairLen : public MSS_BrushBaseState
{
public:
    // Class constructor and destructor.
	     MSS_BrushHairLen(JEDI_View &view, PI_StateTemplate &templ,
			    BM_SceneManager *scene,
			    char *cursor = BM_DEFAULT_CURSOR);
    virtual ~MSS_BrushHairLen();

    // This constructor and parameter template list go into the DM_StateTemplate
    // for this state.
    static BM_State	*ourConstructor(BM_View &view, PI_StateTemplate &templ,
					BM_SceneManager *scene);
    static PRM_Template	 ourTemplateList[];

    // The name and type of this class:
    virtual const char	*className() const;

    // This method is used to get the name of the UI file.
    // Normally it is prefixed by the UI directory, but as that varies
    // from build to build, we hard code it.
    virtual void	 getUIFileName(UT_String &uifilename) const;

protected:
    // Respond to keyboard events.
    virtual int		 handleKeyTypeEvent(UI_Event *event, BM_Viewport &);

    // Convert an op menu entry to a brush operation:
    virtual SOP_BrushOp	 menuToBrushOp(const UI_Value &menuvalue) const;

    static PRM_ChoiceList	 theLMBMenu;
    static PRM_ChoiceList	 theMMBMenu;
};

#endif

